Cancelar um agendamento Pix
curl --request DELETE \
--url https://plugin-pix-indirect.api.lerian.net/v1/schedules/{schedule_id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-Id: <x-account-id>'import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/schedules/{schedule_id}"
headers = {
"X-Account-Id": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-Account-Id': '<x-account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/schedules/{schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}Cancelar um agendamento Pix
Cancela um agendamento que ainda está no status SCHEDULED. Se o agendamento já tiver iniciado o processamento, o cancelamento retorna 409 (PIX-0809); se já estiver em estado terminal, retorna 409 (PIX-0814). Requisições para um agendamento pertencente a outra conta retornam 404 (PIX-0800) sem revelar se ele existe.
DELETE
/
v1
/
schedules
/
{schedule_id}
Cancelar um agendamento Pix
Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Cabeçalhos
Identificador único da Conta do Ledger Midaz (formato UUID).
Parâmetros de caminho
ID do agendamento (UUID v7)
Resposta
No Content
Esta página foi útil?
⌘I

